DefaultAdvisorChainFactory (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.framework

## Class DefaultAdvisorChainFactory

- java.lang.Object
- - org.springframework.aop.framework.DefaultAdvisorChainFactory

- All Implemented Interfaces:
    Serializable, AdvisorChainFactory

      public class DefaultAdvisorChainFactory
      extends Object
      implements AdvisorChainFactory, Serializable

  A simple but definitive way of working out an advice chain for a Method, given an `Advised` object. Always rebuilds each advice chain; caching can be provided by subclasses.
  Since:
    2.0.3
  Author:
    Juergen Hoeller, Rod Johnson, Adrian Colyer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAdvisorChainFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object>` | `getInterceptorsAndDynamicInterceptionAdvice(Advised config, Method method, Class targetClass)` Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAdvisorChainFactory

          public DefaultAdvisorChainFactory()

  - ### Method Detail

    - #### getInterceptorsAndDynamicInterceptionAdvice

          public List<Object> getInterceptorsAndDynamicInterceptionAdvice(Advised config,
                                                                 Method method,
                                                                 Class targetClass)

      Description copied from interface: `AdvisorChainFactory`
      Determine a list of `MethodInterceptor` objects for the given advisor chain configuration.
      Specified by:
        `getInterceptorsAndDynamicInterceptionAdvice` in interface `AdvisorChainFactory`
      Parameters:
        `config` - the AOP configuration in the form of an Advised object
        `method` - the proxied method
        `targetClass` - the target class
      Returns:
        List of MethodInterceptors (may also include InterceptorAndDynamicMethodMatchers)